# eric4.Plugins.DocumentationPlugins.Ericapi.EricapiConfigDialog

Module implementing a dialog to enter the parameters for eric4-api.

### Global Attributes

None

### Classes

EricapiConfigDialog | Class implementing a dialog to enter the parameters for eric4-api.

### Functions

None

## EricapiConfigDialog

Class implementing a dialog to enter the parameters for eric4-api.

### Derived from

QDialog, Ui_EricapiConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

EricapiConfigDialog | Constructor
__initializeDefaults | Private method to set the default values.
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
on_addButton_clicked | Private slot to add the directory displayed to the listview.
on_deleteButton_clicked | Private slot to delete the currently selected directory of the listbox.
on_ignoreDirButton_clicked | Private slot to select a directory to be ignored.
on_outputFileButton_clicked | Private slot to select the output file.
on_outputFileEdit_textChanged | Private slot to enable/disable the "OK" button.

### Static Methods

None

#### EricapiConfigDialog (Constructor)

EricapiConfigDialog(project, parms = None, parent = None)

Constructor

project
  reference to the project object (Project.Project)
parms
  parameters to set in the dialog
parent
  parent widget of this dialog

#### EricapiConfigDialog.__initializeDefaults

__initializeDefaults()

Private method to set the default values.

These are needed later on to generate the commandline parameters.

#### EricapiConfigDialog.accept

accept()

Protected slot called by the Ok button.

It saves the values in the parameters dictionary.

#### EricapiConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters.

It generates a QStringList to be used to set the QProcess arguments for the ericapi call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

#### EricapiConfigDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add the directory displayed to the listview.

The directory in the ignore directories line edit is moved to the listbox above and the edit is cleared.

#### EricapiConfigDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the currently selected directory of the listbox.

#### EricapiConfigDialog.on_ignoreDirButton_clicked

on_ignoreDirButton_clicked()

Private slot to select a directory to be ignored.

It displays a directory selection dialog to select a directory to be ignored.

#### EricapiConfigDialog.on_outputFileButton_clicked

on_outputFileButton_clicked()

Private slot to select the output file.

It displays a file selection dialog to select the file the api is written to.

#### EricapiConfigDialog.on_outputFileEdit_textChanged

on_outputFileEdit_textChanged(filename)

Private slot to enable/disable the "OK" button.

filename
  name of the file (QString)

Up